%global ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%global gemname kgio
%global rubyabi 1.8
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary:       Kinder, gentler I/O for Ruby
Name:          rubygem-%{gemname}
Version:       2.7.0
Release:       1%{?dist}
Group:         Development/Tools
License:       LGPLv2 or LGPLv3
# LICENSE file defines the licencing aspects of kgiox.
# No license info in source files. 
URL:           http://bogomips.org/kgio
Source0:       http://rubygems.org/downloads/%{gemname}-%{version}.gem
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      ruby
Requires:      ruby(abi) = %{rubyabi}
Requires:      ruby(rubygems) 
BuildRequires: ruby 
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby(rubygems) 
BuildRequires: ruby-devel
Provides:      rubygem(%{gemname}) = %{version}

%description
kgio provides non-blocking I/O methods for Ruby without raising
exceptions on EAGAIN and EINPROGRESS.  It is intended for use with the
Unicorn and Rainbows! Rack servers, but may be used by other
applications (that run on Unix-like platforms).

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p .%{gemdir}

%build
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install --local --install-dir .%{gemdir} \
            -V \
            --force %{SOURCE0}


%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/

# Remove the binary extension sources and build leftovers.
rm -f %{buildroot}%{geminstdir}/.document
rm -f %{buildroot}%{geminstdir}/.gitignore
rm -f %{buildroot}%{geminstdir}/.manifest
rm -f %{buildroot}%{geminstdir}/.wrongdoc.yml
rm -f %{buildroot}%{geminstdir}/pkg.mk
rm -f %{buildroot}%{geminstdir}/setup.rb
rm -f %{buildroot}/%{geminstdir}/kgio.gemspec
rm -f %{buildroot}/%{geminstdir}/GNUmakefile
rm -f %{buildroot}/%{geminstdir}/GIT-VERSION-FILE
rm -f %{buildroot}/%{geminstdir}/GIT-VERSION-GEN
rm -rf %{buildroot}%{geminstdir}/.yardoc
rm -rf %{buildroot}%{geminstdir}/ext

%clean
rm -rf %{buildroot}

%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/README
%doc %{geminstdir}/TODO
%doc %{geminstdir}/NEWS
%doc %{geminstdir}/LATEST
%doc %{geminstdir}/Rakefile
%doc %{geminstdir}/ChangeLog
%doc %{geminstdir}/ISSUES
%doc %{geminstdir}/HACKING
%doc %{geminstdir}/test

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%dir %{geminstdir}/lib
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/COPYING
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%{geminstdir}/lib/kgio_ext.so
%{geminstdir}/lib/kgio.rb

%changelog
* Fri Dec 30 2011 Guillermo <guillermo.gomez@gmail.com> - 2.7.0-1
- Initial package
